/**
 * Created by zhulixiao on 2018/7/18.
 */
import ToastComponent from './Toast'

const Toast = {
  install: function (Vue) {
    // body下挂载toast
    const vm = new Vue({
      render (createElement) {
        return createElement(ToastComponent)
      },
      mounted () {
        document.body.appendChild(this.$el)
      }
    });
    vm.$mount();

    // 原型链方法
    Vue.prototype.$showToast = (opts = {}) => {
      if (typeof opts === 'string' || typeof opts === 'number') {
        opts = {text: opts, duration: 2000};
      }
      const options = {
        text: opts.text,
        duration: opts.duration > 0 ? opts.duration : 2000
      }
      vm.$children[0].showSelf(options.text, options.duration);
    }
  }
}
window.Vue && window.Vue.use(Toast);

module.exports = Toast
